Skip to navigation

Remove a fieldset from the schema

Remove a fieldset from the schema

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

dna_sequence_schema_idstringRequired
ID of the DnaSequenceSchema.

Request

This endpoint expects an object.
fieldsetIdstringRequired
The API ID of the fieldset to remove from the schema. The fieldset must exist and be accessible.
schemaPrefixReplacementstringOptional
If and only if the fieldset being removed sets the schema's prefix, this field must be present to provide a replacement prefix. It is an error to supply this field if the fieldset being removed does not have a prefix.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
availableRegistrationNamingOptionslist of enumsOptional
constraintobject or nullOptional
Uniqueness constraint applied to entities registered from this schema. Null when no uniqueness constraint is configured.
containableTypeenumOptional
Allowed values:
containerNameTemplateobject or nullOptional
A name template for containers.
createdAtstringOptionalformat: "datetime"
descriptionstringOptional
fieldDefinitionsstringOptionalformat: "uri"
Field definitions configured on this schema.
fieldsetsstringOptionalformat: "uri"
iconIdenumOptional
Icon displayed in the UI for entities registered from this schema.
idstringOptional
includeRegistryIdInChipsbooleanOptional
itemIdPrefixstringOptional

Prefix used for registry IDs (entityRegistryId) of entities registered from this schema.

modifiedAtstringOptionalformat: "datetime"
namestringOptional
nameTemplateobject or nullOptional
A name template for entities.
organizationobjectOptional
showResiduesbooleanOptional
Controls whether DNA residues are displayed in the UI.
systemCategorieslist of objectsOptional
systemNamestringOptional
useRegistryIdForItemDisplayLabelbooleanOptional
validationRulesstringOptionalformat: "uri"

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error